Subject: Re: linux-next: manual merge of the staging tree with Linus' tree

From: Greg KH <[email-masked]>
Date: Mon, 20 Jul 2020 09:37:19 +0200

On Mon, Jul 20, 2020 at 03:25:22PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   drivers/iio/magnetometer/ak8974.c
> 
> between commit:
> 
>   0187294d227d ("iio: magnetometer: ak8974: Fix runtime PM imbalance on error")
> 
> from Linus' tree and commit:
> 
>   d3be83244c7d ("iio: remove explicit IIO device parent assignment")
> 
> from the staging tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/iio/magnetometer/ak8974.c
> index 91c39352fba2,c2260c84f7f1..000000000000
> --- a/drivers/iio/magnetometer/ak8974.c
> +++ b/drivers/iio/magnetometer/ak8974.c
> @@@ -890,10 -884,14 +890,9 @@@ static int ak8974_probe(struct i2c_clie
>   	ret = ak8974_reset(ak8974);
>   	if (ret) {
>   		dev_err(&i2c->dev, "AK8974 reset failed\n");
>  -		goto power_off;
>  +		goto disable_pm;
>   	}
>   
> - 	indio_dev->dev.parent = &i2c->dev;
>  -	pm_runtime_set_autosuspend_delay(&i2c->dev,
>  -					 AK8974_AUTOSUSPEND_DELAY);
>  -	pm_runtime_use_autosuspend(&i2c->dev);
>  -	pm_runtime_put(&i2c->dev);
>  -
>   	switch (ak8974->variant) {
>   	case AK8974_WHOAMI_VALUE_AMI306:
>   	case AK8974_WHOAMI_VALUE_AMI305:

Looks good to me, thanks, I've now done this same thing to my tree as I
have merged with v5.8-rc6.

thanks,

greg k-h